"{ Package: 'exept:regression' }"

"{ NameSpace: RegressionTests }"

WriteStreamTest subclass:#ReadWriteStreamTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Tests-Regression'
!


!ReadWriteStreamTest methodsFor:'setup'!

setUp
    self streamClass:Rel5::ReadWriteStream
! !

!ReadWriteStreamTest methodsFor:'tests'!

testBasic
    |stream|

    stream := self streamClass on:''.
    self assert:(stream isReadable).
    self assert:(stream isPositionable).
    self assert:(stream isWritable).
    self assert:(stream size == 0).
    self assert:(stream isEmpty)
!

testReadStream

    ^ super testReadStream
!

testReadWriteString

    |stream|

    stream := self streamClass with:'1234567890'.
    stream reset.
    self assert:(stream next == $1).
    self assert:(stream position == 1).
    stream nextPut:$a.
    self assert:(stream position == 2).
    self assert:(stream next == $3).
    self assert:(stream position == 3).
    self assert:(stream contents = '1a34567890').
!

testWith
    super testWith
!

testWriteString

    |stream|

    stream := self streamClass on:''.
    self assert:(stream position == startPosition).

    stream nextPut:$1.
    stream nextPut:$2.
    stream nextPut:$3.
    stream nextPut:$4.
    stream nextPut:$5.

    self assert:(stream position == (5 + startPosition)).
    self assert:(stream contents = '12345').
    stream position:0.
    self assert:(stream contents = '12345').
! !

!ReadWriteStreamTest class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
