"{ Package: 'exept:regression' }"

"{ NameSpace: RegressionTests }"

ReadStreamTest subclass:#WriteStreamTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Tests-Regression'
!


!WriteStreamTest methodsFor:'setup'!

setUp
    self streamClass:Rel5::WriteStream
! !

!WriteStreamTest methodsFor:'tests'!

testBasic
    |stream|

    stream := self streamClass on:''.
    self assert:(stream isWritable).
    self assert:(stream isPositionable).
    self assert:(stream isReadable not).
    self assert:(stream size == 0).
    self assert:(stream isEmpty).

    self should:[stream position:startPosition-1] raise:stream class invalidPositionErrorSignal.
    self should:[stream position:startPosition+1] raise:stream class invalidPositionErrorSignal.
    self shouldnt:[stream position:startPosition] raise:stream class invalidPositionErrorSignal.
!

testOn

    |stream|

    stream := self streamClass on:'12345'.
    self assert:(stream position == startPosition).
    self assert:(stream isEmpty).
    self assert:(stream size == 0).
!

testWith

    super testWith
!

testWriteString

    |stream|

    stream := self streamClass on:''.
    self assert:(stream position == startPosition).

    stream nextPut:$1.
    stream nextPut:$2.
    stream nextPut:$3.
    stream nextPut:$4.
    stream nextPut:$5.

    self assert:(stream position == (5 + startPosition)).
    self assert:(stream contents = '12345').
    stream position:0.
    self assert:(stream contents = '').
    self should:[stream position:2] raise:stream class invalidPositionErrorSignal.
! !

!WriteStreamTest class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
